ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/gvpe/configure
(Generate patch)

Comparing gvpe/configure (file contents):
Revision 1.33 by pcg, Thu Mar 29 17:35:20 2007 UTC vs.
Revision 1.42 by pcg, Sun Jan 18 03:44:09 2009 UTC

1341 combinations are: "tincd/bsd" "tincd/solaris" 1341 combinations are: "tincd/bsd" "tincd/solaris"
1342 "tincd/mingw" "tincd/raw_socket" "tincd/uml_socket"; 1342 "tincd/mingw" "tincd/raw_socket" "tincd/uml_socket";
1343 Broken combinations are: "tincd/cygwin"; The default 1343 Broken combinations are: "tincd/cygwin"; The default
1344 is to autodetect. 1344 is to autodetect.
1345 --enable-static-daemon enable statically linked daemon. 1345 --enable-static-daemon enable statically linked daemon.
1346 --enable-rohc enable robust header compression (rfc3095).
1347 --enable-icmp enable icmp protocol support (default disabled). 1346 --disable-icmp enable icmp protocol support (default enabled).
1348 --enable-tcp enable tcp protocol support (default disabled). 1347 --disable-tcp enable tcp protocol support (default enabled).
1349 --enable-dns enable dns tunnel protocol support (DOES NOT WORK).
1350 --enable-http-proxy enable http proxy connect support (default 1348 --disable-http-proxy enable http proxy connect support (default enabled).
1349 --enable-dns enable dns tunnel protocol support (default
1351 disabled). 1350 disabled).
1352 --enable-hmac-length=BYTES 1351 --enable-hmac-length=BYTES
1353 use a hmac of length BYTES bytes (default 12). 1352 use a hmac of length BYTES bytes (default 12).
1354 Allowed values are 4, 8, 12, 16. 1353 Allowed values are 4, 8, 12, 16.
1355 --enable-rand-length=BYTES 1354 --enable-rand-length=BYTES
1356 use BYTES bytes of extra randomness (default 8). 1355 use BYTES bytes of extra randomness (default 8).
1357 Allowed values are 0, 4, 8. 1356 Allowed values are 0, 4, 8.
1358 --enable-max-mtu=BYTES enable mtu sizes upto BYTES bytes (default 1500). 1357 --enable-max-mtu=BYTES enable mtu sizes upto BYTES bytes (default 1500).
1359 Use 9100 for jumbogram support. 1358 Use 9100 for jumbogram support.
1360 --disable-compression Disable compression support. 1359 --disable-compression Disable compression support.
1361 --enable-cipher Select the symmetric cipher (default "aes-128"). 1360 --enable-cipher=CIPHER Select the symmetric cipher (default "aes-128").
1362 Must be one of "bf" (blowfish), "aes-128" 1361 Must be one of "bf" (blowfish), "aes-128"
1363 (rijndael), "aes-192" or "aes-256". 1362 (rijndael), "aes-192" or "aes-256".
1364 --enable-digest Select the digest algorithm to use (default 1363 --enable-digest=CIPHER Select the digest algorithm to use (default
1365 "ripemd160"). Must be one of "sha512", "sha256", 1364 "ripemd160"). Must be one of "sha512", "sha256",
1366 "sha1", "ripemd160", "md5" or "md4" (insecure). 1365 "sha1", "ripemd160", "md5" or "md4" (insecure).
1367 1366
1368Optional Packages: 1367Optional Packages:
1369 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] 1368 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
2223fi 2222fi
2224 2223
2225 2224
2226# Define the identity of the package. 2225# Define the identity of the package.
2227 PACKAGE=gvpe 2226 PACKAGE=gvpe
2228 VERSION=2.01 2227 VERSION=2.21
2229 2228
2230 2229
2231cat >>confdefs.h <<_ACEOF 2230cat >>confdefs.h <<_ACEOF
2232#define PACKAGE "$PACKAGE" 2231#define PACKAGE "$PACKAGE"
2233_ACEOF 2232_ACEOF
5077ac_ext=c 5076ac_ext=c
5078ac_cpp='$CPP $CPPFLAGS' 5077ac_cpp='$CPP $CPPFLAGS'
5079ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 5078ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5080ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 5079ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5081ac_compiler_gnu=$ac_cv_c_compiler_gnu 5080ac_compiler_gnu=$ac_cv_c_compiler_gnu
5082if test -n "$ac_tool_prefix"; then
5083 # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
5084set dummy ${ac_tool_prefix}gcc; ac_word=$2
5085{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5086echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5087if test "${ac_cv_prog_CC+set}" = set; then
5088 echo $ECHO_N "(cached) $ECHO_C" >&6
5089else
5090 if test -n "$CC"; then
5091 ac_cv_prog_CC="$CC" # Let the user override the test.
5092else
5093as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5094for as_dir in $PATH
5095do
5096 IFS=$as_save_IFS
5097 test -z "$as_dir" && as_dir=.
5098 for ac_exec_ext in '' $ac_executable_extensions; do
5099 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5100 ac_cv_prog_CC="${ac_tool_prefix}gcc"
5101 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5102 break 2
5103 fi
5104done
5105done
5106IFS=$as_save_IFS
5107
5108fi
5109fi
5110CC=$ac_cv_prog_CC
5111if test -n "$CC"; then
5112 { echo "$as_me:$LINENO: result: $CC" >&5
5113echo "${ECHO_T}$CC" >&6; }
5114else
5115 { echo "$as_me:$LINENO: result: no" >&5
5116echo "${ECHO_T}no" >&6; }
5117fi
5118
5119
5120fi
5121if test -z "$ac_cv_prog_CC"; then
5122 ac_ct_CC=$CC
5123 # Extract the first word of "gcc", so it can be a program name with args.
5124set dummy gcc; ac_word=$2
5125{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5126echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5127if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
5128 echo $ECHO_N "(cached) $ECHO_C" >&6
5129else
5130 if test -n "$ac_ct_CC"; then
5131 ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
5132else
5133as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5134for as_dir in $PATH
5135do
5136 IFS=$as_save_IFS
5137 test -z "$as_dir" && as_dir=.
5138 for ac_exec_ext in '' $ac_executable_extensions; do
5139 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5140 ac_cv_prog_ac_ct_CC="gcc"
5141 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5142 break 2
5143 fi
5144done
5145done
5146IFS=$as_save_IFS
5147
5148fi
5149fi
5150ac_ct_CC=$ac_cv_prog_ac_ct_CC
5151if test -n "$ac_ct_CC"; then
5152 { echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
5153echo "${ECHO_T}$ac_ct_CC" >&6; }
5154else
5155 { echo "$as_me:$LINENO: result: no" >&5
5156echo "${ECHO_T}no" >&6; }
5157fi
5158
5159 if test "x$ac_ct_CC" = x; then
5160 CC=""
5161 else
5162 case $cross_compiling:$ac_tool_warned in
5163yes:)
5164{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
5165whose name does not start with the host triplet. If you think this
5166configuration is useful to you, please write to autoconf@gnu.org." >&5
5167echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
5168whose name does not start with the host triplet. If you think this
5169configuration is useful to you, please write to autoconf@gnu.org." >&2;}
5170ac_tool_warned=yes ;;
5171esac
5172 CC=$ac_ct_CC
5173 fi
5174else
5175 CC="$ac_cv_prog_CC"
5176fi
5177
5178if test -z "$CC"; then
5179 if test -n "$ac_tool_prefix"; then
5180 # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
5181set dummy ${ac_tool_prefix}cc; ac_word=$2
5182{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5183echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5184if test "${ac_cv_prog_CC+set}" = set; then
5185 echo $ECHO_N "(cached) $ECHO_C" >&6
5186else
5187 if test -n "$CC"; then
5188 ac_cv_prog_CC="$CC" # Let the user override the test.
5189else
5190as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5191for as_dir in $PATH
5192do
5193 IFS=$as_save_IFS
5194 test -z "$as_dir" && as_dir=.
5195 for ac_exec_ext in '' $ac_executable_extensions; do
5196 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5197 ac_cv_prog_CC="${ac_tool_prefix}cc"
5198 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5199 break 2
5200 fi
5201done
5202done
5203IFS=$as_save_IFS
5204
5205fi
5206fi
5207CC=$ac_cv_prog_CC
5208if test -n "$CC"; then
5209 { echo "$as_me:$LINENO: result: $CC" >&5
5210echo "${ECHO_T}$CC" >&6; }
5211else
5212 { echo "$as_me:$LINENO: result: no" >&5
5213echo "${ECHO_T}no" >&6; }
5214fi
5215
5216
5217 fi
5218fi
5219if test -z "$CC"; then
5220 # Extract the first word of "cc", so it can be a program name with args.
5221set dummy cc; ac_word=$2
5222{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5223echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5224if test "${ac_cv_prog_CC+set}" = set; then
5225 echo $ECHO_N "(cached) $ECHO_C" >&6
5226else
5227 if test -n "$CC"; then
5228 ac_cv_prog_CC="$CC" # Let the user override the test.
5229else
5230 ac_prog_rejected=no
5231as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5232for as_dir in $PATH
5233do
5234 IFS=$as_save_IFS
5235 test -z "$as_dir" && as_dir=.
5236 for ac_exec_ext in '' $ac_executable_extensions; do
5237 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5238 if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
5239 ac_prog_rejected=yes
5240 continue
5241 fi
5242 ac_cv_prog_CC="cc"
5243 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5244 break 2
5245 fi
5246done
5247done
5248IFS=$as_save_IFS
5249
5250if test $ac_prog_rejected = yes; then
5251 # We found a bogon in the path, so make sure we never use it.
5252 set dummy $ac_cv_prog_CC
5253 shift
5254 if test $# != 0; then
5255 # We chose a different compiler from the bogus one.
5256 # However, it has the same basename, so the bogon will be chosen
5257 # first if we set CC to just the basename; use the full file name.
5258 shift
5259 ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
5260 fi
5261fi
5262fi
5263fi
5264CC=$ac_cv_prog_CC
5265if test -n "$CC"; then
5266 { echo "$as_me:$LINENO: result: $CC" >&5
5267echo "${ECHO_T}$CC" >&6; }
5268else
5269 { echo "$as_me:$LINENO: result: no" >&5
5270echo "${ECHO_T}no" >&6; }
5271fi
5272
5273
5274fi
5275if test -z "$CC"; then
5276 if test -n "$ac_tool_prefix"; then
5277 for ac_prog in cl.exe
5278 do
5279 # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
5280set dummy $ac_tool_prefix$ac_prog; ac_word=$2
5281{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5282echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5283if test "${ac_cv_prog_CC+set}" = set; then
5284 echo $ECHO_N "(cached) $ECHO_C" >&6
5285else
5286 if test -n "$CC"; then
5287 ac_cv_prog_CC="$CC" # Let the user override the test.
5288else
5289as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5290for as_dir in $PATH
5291do
5292 IFS=$as_save_IFS
5293 test -z "$as_dir" && as_dir=.
5294 for ac_exec_ext in '' $ac_executable_extensions; do
5295 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5296 ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
5297 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5298 break 2
5299 fi
5300done
5301done
5302IFS=$as_save_IFS
5303
5304fi
5305fi
5306CC=$ac_cv_prog_CC
5307if test -n "$CC"; then
5308 { echo "$as_me:$LINENO: result: $CC" >&5
5309echo "${ECHO_T}$CC" >&6; }
5310else
5311 { echo "$as_me:$LINENO: result: no" >&5
5312echo "${ECHO_T}no" >&6; }
5313fi
5314
5315
5316 test -n "$CC" && break
5317 done
5318fi
5319if test -z "$CC"; then
5320 ac_ct_CC=$CC
5321 for ac_prog in cl.exe
5322do
5323 # Extract the first word of "$ac_prog", so it can be a program name with args.
5324set dummy $ac_prog; ac_word=$2
5325{ echo "$as_me:$LINENO: checking for $ac_word" >&5
5326echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
5327if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
5328 echo $ECHO_N "(cached) $ECHO_C" >&6
5329else
5330 if test -n "$ac_ct_CC"; then
5331 ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
5332else
5333as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5334for as_dir in $PATH
5335do
5336 IFS=$as_save_IFS
5337 test -z "$as_dir" && as_dir=.
5338 for ac_exec_ext in '' $ac_executable_extensions; do
5339 if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
5340 ac_cv_prog_ac_ct_CC="$ac_prog"
5341 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5342 break 2
5343 fi
5344done
5345done
5346IFS=$as_save_IFS
5347
5348fi
5349fi
5350ac_ct_CC=$ac_cv_prog_ac_ct_CC
5351if test -n "$ac_ct_CC"; then
5352 { echo "$as_me:$LINENO: result: $ac_ct_CC" >&5
5353echo "${ECHO_T}$ac_ct_CC" >&6; }
5354else
5355 { echo "$as_me:$LINENO: result: no" >&5
5356echo "${ECHO_T}no" >&6; }
5357fi
5358
5359
5360 test -n "$ac_ct_CC" && break
5361done
5362
5363 if test "x$ac_ct_CC" = x; then
5364 CC=""
5365 else
5366 case $cross_compiling:$ac_tool_warned in
5367yes:)
5368{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
5369whose name does not start with the host triplet. If you think this
5370configuration is useful to you, please write to autoconf@gnu.org." >&5
5371echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
5372whose name does not start with the host triplet. If you think this
5373configuration is useful to you, please write to autoconf@gnu.org." >&2;}
5374ac_tool_warned=yes ;;
5375esac
5376 CC=$ac_ct_CC
5377 fi
5378fi
5379
5380fi
5381
5382
5383test -z "$CC" && { { echo "$as_me:$LINENO: error: no acceptable C compiler found in \$PATH
5384See \`config.log' for more details." >&5
5385echo "$as_me: error: no acceptable C compiler found in \$PATH
5386See \`config.log' for more details." >&2;}
5387 { (exit 1); exit 1; }; }
5388
5389# Provide some information about the compiler.
5390echo "$as_me:$LINENO: checking for C compiler version" >&5
5391ac_compiler=`set X $ac_compile; echo $2`
5392{ (ac_try="$ac_compiler --version >&5"
5393case "(($ac_try" in
5394 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5395 *) ac_try_echo=$ac_try;;
5396esac
5397eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5398 (eval "$ac_compiler --version >&5") 2>&5
5399 ac_status=$?
5400 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5401 (exit $ac_status); }
5402{ (ac_try="$ac_compiler -v >&5"
5403case "(($ac_try" in
5404 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5405 *) ac_try_echo=$ac_try;;
5406esac
5407eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5408 (eval "$ac_compiler -v >&5") 2>&5
5409 ac_status=$?
5410 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5411 (exit $ac_status); }
5412{ (ac_try="$ac_compiler -V >&5"
5413case "(($ac_try" in
5414 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5415 *) ac_try_echo=$ac_try;;
5416esac
5417eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5418 (eval "$ac_compiler -V >&5") 2>&5
5419 ac_status=$?
5420 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5421 (exit $ac_status); }
5422
5423{ echo "$as_me:$LINENO: checking whether we are using the GNU C compiler" >&5
5424echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6; }
5425if test "${ac_cv_c_compiler_gnu+set}" = set; then
5426 echo $ECHO_N "(cached) $ECHO_C" >&6
5427else
5428 cat >conftest.$ac_ext <<_ACEOF
5429/* confdefs.h. */
5430_ACEOF
5431cat confdefs.h >>conftest.$ac_ext
5432cat >>conftest.$ac_ext <<_ACEOF
5433/* end confdefs.h. */
5434
5435int
5436main ()
5437{
5438#ifndef __GNUC__
5439 choke me
5440#endif
5441
5442 ;
5443 return 0;
5444}
5445_ACEOF
5446rm -f conftest.$ac_objext
5447if { (ac_try="$ac_compile"
5448case "(($ac_try" in
5449 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5450 *) ac_try_echo=$ac_try;;
5451esac
5452eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5453 (eval "$ac_compile") 2>conftest.er1
5454 ac_status=$?
5455 grep -v '^ *+' conftest.er1 >conftest.err
5456 rm -f conftest.er1
5457 cat conftest.err >&5
5458 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5459 (exit $ac_status); } && {
5460 test -z "$ac_c_werror_flag" ||
5461 test ! -s conftest.err
5462 } && test -s conftest.$ac_objext; then
5463 ac_compiler_gnu=yes
5464else
5465 echo "$as_me: failed program was:" >&5
5466sed 's/^/| /' conftest.$ac_ext >&5
5467
5468 ac_compiler_gnu=no
5469fi
5470
5471rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5472ac_cv_c_compiler_gnu=$ac_compiler_gnu
5473
5474fi
5475{ echo "$as_me:$LINENO: result: $ac_cv_c_compiler_gnu" >&5
5476echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6; }
5477GCC=`test $ac_compiler_gnu = yes && echo yes`
5478ac_test_CFLAGS=${CFLAGS+set}
5479ac_save_CFLAGS=$CFLAGS
5480{ echo "$as_me:$LINENO: checking whether $CC accepts -g" >&5
5481echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6; }
5482if test "${ac_cv_prog_cc_g+set}" = set; then
5483 echo $ECHO_N "(cached) $ECHO_C" >&6
5484else
5485 ac_save_c_werror_flag=$ac_c_werror_flag
5486 ac_c_werror_flag=yes
5487 ac_cv_prog_cc_g=no
5488 CFLAGS="-g"
5489 cat >conftest.$ac_ext <<_ACEOF
5490/* confdefs.h. */
5491_ACEOF
5492cat confdefs.h >>conftest.$ac_ext
5493cat >>conftest.$ac_ext <<_ACEOF
5494/* end confdefs.h. */
5495
5496int
5497main ()
5498{
5499
5500 ;
5501 return 0;
5502}
5503_ACEOF
5504rm -f conftest.$ac_objext
5505if { (ac_try="$ac_compile"
5506case "(($ac_try" in
5507 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5508 *) ac_try_echo=$ac_try;;
5509esac
5510eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5511 (eval "$ac_compile") 2>conftest.er1
5512 ac_status=$?
5513 grep -v '^ *+' conftest.er1 >conftest.err
5514 rm -f conftest.er1
5515 cat conftest.err >&5
5516 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5517 (exit $ac_status); } && {
5518 test -z "$ac_c_werror_flag" ||
5519 test ! -s conftest.err
5520 } && test -s conftest.$ac_objext; then
5521 ac_cv_prog_cc_g=yes
5522else
5523 echo "$as_me: failed program was:" >&5
5524sed 's/^/| /' conftest.$ac_ext >&5
5525
5526 CFLAGS=""
5527 cat >conftest.$ac_ext <<_ACEOF
5528/* confdefs.h. */
5529_ACEOF
5530cat confdefs.h >>conftest.$ac_ext
5531cat >>conftest.$ac_ext <<_ACEOF
5532/* end confdefs.h. */
5533
5534int
5535main ()
5536{
5537
5538 ;
5539 return 0;
5540}
5541_ACEOF
5542rm -f conftest.$ac_objext
5543if { (ac_try="$ac_compile"
5544case "(($ac_try" in
5545 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5546 *) ac_try_echo=$ac_try;;
5547esac
5548eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5549 (eval "$ac_compile") 2>conftest.er1
5550 ac_status=$?
5551 grep -v '^ *+' conftest.er1 >conftest.err
5552 rm -f conftest.er1
5553 cat conftest.err >&5
5554 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5555 (exit $ac_status); } && {
5556 test -z "$ac_c_werror_flag" ||
5557 test ! -s conftest.err
5558 } && test -s conftest.$ac_objext; then
5559 :
5560else
5561 echo "$as_me: failed program was:" >&5
5562sed 's/^/| /' conftest.$ac_ext >&5
5563
5564 ac_c_werror_flag=$ac_save_c_werror_flag
5565 CFLAGS="-g"
5566 cat >conftest.$ac_ext <<_ACEOF
5567/* confdefs.h. */
5568_ACEOF
5569cat confdefs.h >>conftest.$ac_ext
5570cat >>conftest.$ac_ext <<_ACEOF
5571/* end confdefs.h. */
5572
5573int
5574main ()
5575{
5576
5577 ;
5578 return 0;
5579}
5580_ACEOF
5581rm -f conftest.$ac_objext
5582if { (ac_try="$ac_compile"
5583case "(($ac_try" in
5584 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5585 *) ac_try_echo=$ac_try;;
5586esac
5587eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5588 (eval "$ac_compile") 2>conftest.er1
5589 ac_status=$?
5590 grep -v '^ *+' conftest.er1 >conftest.err
5591 rm -f conftest.er1
5592 cat conftest.err >&5
5593 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5594 (exit $ac_status); } && {
5595 test -z "$ac_c_werror_flag" ||
5596 test ! -s conftest.err
5597 } && test -s conftest.$ac_objext; then
5598 ac_cv_prog_cc_g=yes
5599else
5600 echo "$as_me: failed program was:" >&5
5601sed 's/^/| /' conftest.$ac_ext >&5
5602
5603
5604fi
5605
5606rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5607fi
5608
5609rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5610fi
5611
5612rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
5613 ac_c_werror_flag=$ac_save_c_werror_flag
5614fi
5615{ echo "$as_me:$LINENO: result: $ac_cv_prog_cc_g" >&5
5616echo "${ECHO_T}$ac_cv_prog_cc_g" >&6; }
5617if test "$ac_test_CFLAGS" = set; then
5618 CFLAGS=$ac_save_CFLAGS
5619elif test $ac_cv_prog_cc_g = yes; then
5620 if test "$GCC" = yes; then
5621 CFLAGS="-g -O2"
5622 else
5623 CFLAGS="-g"
5624 fi
5625else
5626 if test "$GCC" = yes; then
5627 CFLAGS="-O2"
5628 else
5629 CFLAGS=
5630 fi
5631fi
5632{ echo "$as_me:$LINENO: checking for $CC option to accept ISO C89" >&5
5633echo $ECHO_N "checking for $CC option to accept ISO C89... $ECHO_C" >&6; }
5634if test "${ac_cv_prog_cc_c89+set}" = set; then
5635 echo $ECHO_N "(cached) $ECHO_C" >&6
5636else
5637 ac_cv_prog_cc_c89=no
5638ac_save_CC=$CC
5639cat >conftest.$ac_ext <<_ACEOF
5640/* confdefs.h. */
5641_ACEOF
5642cat confdefs.h >>conftest.$ac_ext
5643cat >>conftest.$ac_ext <<_ACEOF
5644/* end confdefs.h. */
5645#include <stdarg.h>
5646#include <stdio.h>
5647#include <sys/types.h>
5648#include <sys/stat.h>
5649/* Most of the following tests are stolen from RCS 5.7's src/conf.sh. */
5650struct buf { int x; };
5651FILE * (*rcsopen) (struct buf *, struct stat *, int);
5652static char *e (p, i)
5653 char **p;
5654 int i;
5655{
5656 return p[i];
5657}
5658static char *f (char * (*g) (char **, int), char **p, ...)
5659{
5660 char *s;
5661 va_list v;
5662 va_start (v,p);
5663 s = g (p, va_arg (v,int));
5664 va_end (v);
5665 return s;
5666}
5667
5668/* OSF 4.0 Compaq cc is some sort of almost-ANSI by default. It has
5669 function prototypes and stuff, but not '\xHH' hex character constants.
5670 These don't provoke an error unfortunately, instead are silently treated
5671 as 'x'. The following induces an error, until -std is added to get
5672 proper ANSI mode. Curiously '\x00'!='x' always comes out true, for an
5673 array size at least. It's necessary to write '\x00'==0 to get something
5674 that's true only with -std. */
5675int osf4_cc_array ['\x00' == 0 ? 1 : -1];
5676
5677/* IBM C 6 for AIX is almost-ANSI by default, but it replaces macro parameters
5678 inside strings and character constants. */
5679#define FOO(x) 'x'
5680int xlc6_cc_array[FOO(a) == 'x' ? 1 : -1];
5681
5682int test (int i, double x);
5683struct s1 {int (*f) (int a);};
5684struct s2 {int (*f) (double a);};
5685int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
5686int argc;
5687char **argv;
5688int
5689main ()
5690{
5691return f (e, argv, 0) != argv[0] || f (e, argv, 1) != argv[1];
5692 ;
5693 return 0;
5694}
5695_ACEOF
5696for ac_arg in '' -qlanglvl=extc89 -qlanglvl=ansi -std \
5697 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
5698do
5699 CC="$ac_save_CC $ac_arg"
5700 rm -f conftest.$ac_objext
5701if { (ac_try="$ac_compile"
5702case "(($ac_try" in
5703 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
5704 *) ac_try_echo=$ac_try;;
5705esac
5706eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
5707 (eval "$ac_compile") 2>conftest.er1
5708 ac_status=$?
5709 grep -v '^ *+' conftest.er1 >conftest.err
5710 rm -f conftest.er1
5711 cat conftest.err >&5
5712 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5713 (exit $ac_status); } && {
5714 test -z "$ac_c_werror_flag" ||
5715 test ! -s conftest.err
5716 } && test -s conftest.$ac_objext; then
5717 ac_cv_prog_cc_c89=$ac_arg
5718else
5719 echo "$as_me: failed program was:" >&5
5720sed 's/^/| /' conftest.$ac_ext >&5
5721
5722
5723fi
5724
5725rm -f core conftest.err conftest.$ac_objext
5726 test "x$ac_cv_prog_cc_c89" != "xno" && break
5727done
5728rm -f conftest.$ac_ext
5729CC=$ac_save_CC
5730
5731fi
5732# AC_CACHE_VAL
5733case "x$ac_cv_prog_cc_c89" in
5734 x)
5735 { echo "$as_me:$LINENO: result: none needed" >&5
5736echo "${ECHO_T}none needed" >&6; } ;;
5737 xno)
5738 { echo "$as_me:$LINENO: result: unsupported" >&5
5739echo "${ECHO_T}unsupported" >&6; } ;;
5740 *)
5741 CC="$CC $ac_cv_prog_cc_c89"
5742 { echo "$as_me:$LINENO: result: $ac_cv_prog_cc_c89" >&5
5743echo "${ECHO_T}$ac_cv_prog_cc_c89" >&6; } ;;
5744esac
5745
5746
5747ac_ext=c
5748ac_cpp='$CPP $CPPFLAGS'
5749ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5750ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5751ac_compiler_gnu=$ac_cv_c_compiler_gnu
5752
5753depcc="$CC" am_compiler_list=
5754
5755{ echo "$as_me:$LINENO: checking dependency style of $depcc" >&5
5756echo $ECHO_N "checking dependency style of $depcc... $ECHO_C" >&6; }
5757if test "${am_cv_CC_dependencies_compiler_type+set}" = set; then
5758 echo $ECHO_N "(cached) $ECHO_C" >&6
5759else
5760 if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
5761 # We make a subdir and do the tests there. Otherwise we can end up
5762 # making bogus files that we don't know about and never remove. For
5763 # instance it was reported that on HP-UX the gcc test will end up
5764 # making a dummy file named `D' -- because `-MD' means `put the output
5765 # in D'.
5766 mkdir conftest.dir
5767 # Copy depcomp to subdir because otherwise we won't find it if we're
5768 # using a relative directory.
5769 cp "$am_depcomp" conftest.dir
5770 cd conftest.dir
5771 # We will build objects and dependencies in a subdirectory because
5772 # it helps to detect inapplicable dependency modes. For instance
5773 # both Tru64's cc and ICC support -MD to output dependencies as a
5774 # side effect of compilation, but ICC will put the dependencies in
5775 # the current directory while Tru64 will put them in the object
5776 # directory.
5777 mkdir sub
5778
5779 am_cv_CC_dependencies_compiler_type=none
5780 if test "$am_compiler_list" = ""; then
5781 am_compiler_list=`sed -n 's/^#*\([a-zA-Z0-9]*\))$/\1/p' < ./depcomp`
5782 fi
5783 for depmode in $am_compiler_list; do
5784 # Setup a source with many dependencies, because some compilers
5785 # like to wrap large dependency lists on column 80 (with \), and
5786 # we should not choose a depcomp mode which is confused by this.
5787 #
5788 # We need to recreate these files for each test, as the compiler may
5789 # overwrite some of them when testing with obscure command lines.
5790 # This happens at least with the AIX C compiler.
5791 : > sub/conftest.c
5792 for i in 1 2 3 4 5 6; do
5793 echo '#include "conftst'$i'.h"' >> sub/conftest.c
5794 : > sub/conftst$i.h
5795 done
5796 echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
5797
5798 case $depmode in
5799 nosideeffect)
5800 # after this tag, mechanisms are not by side-effect, so they'll
5801 # only be used when explicitly requested
5802 if test "x$enable_dependency_tracking" = xyes; then
5803 continue
5804 else
5805 break
5806 fi
5807 ;;
5808 none) break ;;
5809 esac
5810 # We check with `-c' and `-o' for the sake of the "dashmstdout"
5811 # mode. It turns out that the SunPro C++ compiler does not properly
5812 # handle `-M -o', and we need to detect this.
5813 if depmode=$depmode \
5814 source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
5815 depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
5816 $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
5817 >/dev/null 2>conftest.err &&
5818 grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
5819 grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
5820 ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
5821 # icc doesn't choke on unknown options, it will just issue warnings
5822 # (even with -Werror). So we grep stderr for any message
5823 # that says an option was ignored.
5824 if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
5825 am_cv_CC_dependencies_compiler_type=$depmode
5826 break
5827 fi
5828 fi
5829 done
5830
5831 cd ..
5832 rm -rf conftest.dir
5833else
5834 am_cv_CC_dependencies_compiler_type=none
5835fi
5836
5837fi
5838{ echo "$as_me:$LINENO: result: $am_cv_CC_dependencies_compiler_type" >&5
5839echo "${ECHO_T}$am_cv_CC_dependencies_compiler_type" >&6; }
5840CCDEPMODE=depmode=$am_cv_CC_dependencies_compiler_type
5841
5842
5843
5844if
5845 test "x$enable_dependency_tracking" != xno \
5846 && test "$am_cv_CC_dependencies_compiler_type" = gcc3; then
5847 am__fastdepCC_TRUE=
5848 am__fastdepCC_FALSE='#'
5849else
5850 am__fastdepCC_TRUE='#'
5851 am__fastdepCC_FALSE=
5852fi
5853
5854
5855ac_ext=c
5856ac_cpp='$CPP $CPPFLAGS'
5857ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5858ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5859ac_compiler_gnu=$ac_cv_c_compiler_gnu
5860{ echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5 5081{ echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
5861echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6; } 5082echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6; }
5862# On Suns, sometimes $CPP names a directory. 5083# On Suns, sometimes $CPP names a directory.
5863if test -n "$CPP" && test -d "$CPP"; then 5084if test -n "$CPP" && test -d "$CPP"; then
5864 CPP= 5085 CPP=
7675done 6896done
7676 6897
7677 6898
7678 6899
7679 6900
6901
7680for ac_header in ext/hash_map clocale 6902for ac_header in tr1/unordered_map ext/hash_map clocale
7681do 6903do
7682as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 6904as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
7683if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then 6905if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
7684 { echo "$as_me:$LINENO: checking for $ac_header" >&5 6906 { echo "$as_me:$LINENO: checking for $ac_header" >&5
7685echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } 6907echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
9546 8768
9547fi 8769fi
9548 8770
9549 8771
9550fi 8772fi
8773
8774
8775
8776
8777
8778
8779
8780
8781
8782
8783
8784for ac_header in sys/inotify.h sys/epoll.h sys/event.h sys/queue.h port.h poll.h sys/select.h sys/eventfd.h
8785do
8786as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
8787if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8788 { echo "$as_me:$LINENO: checking for $ac_header" >&5
8789echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
8790if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8791 echo $ECHO_N "(cached) $ECHO_C" >&6
8792fi
8793ac_res=`eval echo '${'$as_ac_Header'}'`
8794 { echo "$as_me:$LINENO: result: $ac_res" >&5
8795echo "${ECHO_T}$ac_res" >&6; }
8796else
8797 # Is the header compilable?
8798{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
8799echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
8800cat >conftest.$ac_ext <<_ACEOF
8801/* confdefs.h. */
8802_ACEOF
8803cat confdefs.h >>conftest.$ac_ext
8804cat >>conftest.$ac_ext <<_ACEOF
8805/* end confdefs.h. */
8806$ac_includes_default
8807#include <$ac_header>
8808_ACEOF
8809rm -f conftest.$ac_objext
8810if { (ac_try="$ac_compile"
8811case "(($ac_try" in
8812 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8813 *) ac_try_echo=$ac_try;;
8814esac
8815eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8816 (eval "$ac_compile") 2>conftest.er1
8817 ac_status=$?
8818 grep -v '^ *+' conftest.er1 >conftest.err
8819 rm -f conftest.er1
8820 cat conftest.err >&5
8821 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8822 (exit $ac_status); } && {
8823 test -z "$ac_c_werror_flag" ||
8824 test ! -s conftest.err
8825 } && test -s conftest.$ac_objext; then
8826 ac_header_compiler=yes
8827else
8828 echo "$as_me: failed program was:" >&5
8829sed 's/^/| /' conftest.$ac_ext >&5
8830
8831 ac_header_compiler=no
8832fi
8833
8834rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
8835{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
8836echo "${ECHO_T}$ac_header_compiler" >&6; }
8837
8838# Is the header present?
8839{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
8840echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
8841cat >conftest.$ac_ext <<_ACEOF
8842/* confdefs.h. */
8843_ACEOF
8844cat confdefs.h >>conftest.$ac_ext
8845cat >>conftest.$ac_ext <<_ACEOF
8846/* end confdefs.h. */
8847#include <$ac_header>
8848_ACEOF
8849if { (ac_try="$ac_cpp conftest.$ac_ext"
8850case "(($ac_try" in
8851 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8852 *) ac_try_echo=$ac_try;;
8853esac
8854eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8855 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
8856 ac_status=$?
8857 grep -v '^ *+' conftest.er1 >conftest.err
8858 rm -f conftest.er1
8859 cat conftest.err >&5
8860 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8861 (exit $ac_status); } >/dev/null && {
8862 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
8863 test ! -s conftest.err
8864 }; then
8865 ac_header_preproc=yes
8866else
8867 echo "$as_me: failed program was:" >&5
8868sed 's/^/| /' conftest.$ac_ext >&5
8869
8870 ac_header_preproc=no
8871fi
8872
8873rm -f conftest.err conftest.$ac_ext
8874{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
8875echo "${ECHO_T}$ac_header_preproc" >&6; }
8876
8877# So? What about this header?
8878case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
8879 yes:no: )
8880 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
8881echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
8882 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
8883echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
8884 ac_header_preproc=yes
8885 ;;
8886 no:yes:* )
8887 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
8888echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
8889 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
8890echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
8891 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
8892echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
8893 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
8894echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
8895 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
8896echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
8897 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
8898echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
8899
8900 ;;
8901esac
8902{ echo "$as_me:$LINENO: checking for $ac_header" >&5
8903echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
8904if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
8905 echo $ECHO_N "(cached) $ECHO_C" >&6
8906else
8907 eval "$as_ac_Header=\$ac_header_preproc"
8908fi
8909ac_res=`eval echo '${'$as_ac_Header'}'`
8910 { echo "$as_me:$LINENO: result: $ac_res" >&5
8911echo "${ECHO_T}$ac_res" >&6; }
8912
8913fi
8914if test `eval echo '${'$as_ac_Header'}'` = yes; then
8915 cat >>confdefs.h <<_ACEOF
8916#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
8917_ACEOF
8918
8919fi
8920
8921done
8922
8923
8924
8925
8926
8927
8928
8929
8930
8931for ac_func in inotify_init epoll_ctl kqueue port_create poll select eventfd
8932do
8933as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
8934{ echo "$as_me:$LINENO: checking for $ac_func" >&5
8935echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
8936if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
8937 echo $ECHO_N "(cached) $ECHO_C" >&6
8938else
8939 cat >conftest.$ac_ext <<_ACEOF
8940/* confdefs.h. */
8941_ACEOF
8942cat confdefs.h >>conftest.$ac_ext
8943cat >>conftest.$ac_ext <<_ACEOF
8944/* end confdefs.h. */
8945/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
8946 For example, HP-UX 11i <limits.h> declares gettimeofday. */
8947#define $ac_func innocuous_$ac_func
8948
8949/* System header to define __stub macros and hopefully few prototypes,
8950 which can conflict with char $ac_func (); below.
8951 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
8952 <limits.h> exists even on freestanding compilers. */
8953
8954#ifdef __STDC__
8955# include <limits.h>
8956#else
8957# include <assert.h>
8958#endif
8959
8960#undef $ac_func
8961
8962/* Override any GCC internal prototype to avoid an error.
8963 Use char because int might match the return type of a GCC
8964 builtin and then its argument prototype would still apply. */
8965#ifdef __cplusplus
8966extern "C"
8967#endif
8968char $ac_func ();
8969/* The GNU C library defines this for functions which it implements
8970 to always fail with ENOSYS. Some functions are actually named
8971 something starting with __ and the normal name is an alias. */
8972#if defined __stub_$ac_func || defined __stub___$ac_func
8973choke me
8974#endif
8975
8976int
8977main ()
8978{
8979return $ac_func ();
8980 ;
8981 return 0;
8982}
8983_ACEOF
8984rm -f conftest.$ac_objext conftest$ac_exeext
8985if { (ac_try="$ac_link"
8986case "(($ac_try" in
8987 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
8988 *) ac_try_echo=$ac_try;;
8989esac
8990eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
8991 (eval "$ac_link") 2>conftest.er1
8992 ac_status=$?
8993 grep -v '^ *+' conftest.er1 >conftest.err
8994 rm -f conftest.er1
8995 cat conftest.err >&5
8996 echo "$as_me:$LINENO: \$? = $ac_status" >&5
8997 (exit $ac_status); } && {
8998 test -z "$ac_c_werror_flag" ||
8999 test ! -s conftest.err
9000 } && test -s conftest$ac_exeext &&
9001 $as_test_x conftest$ac_exeext; then
9002 eval "$as_ac_var=yes"
9003else
9004 echo "$as_me: failed program was:" >&5
9005sed 's/^/| /' conftest.$ac_ext >&5
9006
9007 eval "$as_ac_var=no"
9008fi
9009
9010rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9011 conftest$ac_exeext conftest.$ac_ext
9012fi
9013ac_res=`eval echo '${'$as_ac_var'}'`
9014 { echo "$as_me:$LINENO: result: $ac_res" >&5
9015echo "${ECHO_T}$ac_res" >&6; }
9016if test `eval echo '${'$as_ac_var'}'` = yes; then
9017 cat >>confdefs.h <<_ACEOF
9018#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
9019_ACEOF
9020
9021fi
9022done
9023
9024
9025{ echo "$as_me:$LINENO: checking for clock_gettime" >&5
9026echo $ECHO_N "checking for clock_gettime... $ECHO_C" >&6; }
9027if test "${ac_cv_func_clock_gettime+set}" = set; then
9028 echo $ECHO_N "(cached) $ECHO_C" >&6
9029else
9030 cat >conftest.$ac_ext <<_ACEOF
9031/* confdefs.h. */
9032_ACEOF
9033cat confdefs.h >>conftest.$ac_ext
9034cat >>conftest.$ac_ext <<_ACEOF
9035/* end confdefs.h. */
9036/* Define clock_gettime to an innocuous variant, in case <limits.h> declares clock_gettime.
9037 For example, HP-UX 11i <limits.h> declares gettimeofday. */
9038#define clock_gettime innocuous_clock_gettime
9039
9040/* System header to define __stub macros and hopefully few prototypes,
9041 which can conflict with char clock_gettime (); below.
9042 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
9043 <limits.h> exists even on freestanding compilers. */
9044
9045#ifdef __STDC__
9046# include <limits.h>
9047#else
9048# include <assert.h>
9049#endif
9050
9051#undef clock_gettime
9052
9053/* Override any GCC internal prototype to avoid an error.
9054 Use char because int might match the return type of a GCC
9055 builtin and then its argument prototype would still apply. */
9056#ifdef __cplusplus
9057extern "C"
9058#endif
9059char clock_gettime ();
9060/* The GNU C library defines this for functions which it implements
9061 to always fail with ENOSYS. Some functions are actually named
9062 something starting with __ and the normal name is an alias. */
9063#if defined __stub_clock_gettime || defined __stub___clock_gettime
9064choke me
9065#endif
9066
9067int
9068main ()
9069{
9070return clock_gettime ();
9071 ;
9072 return 0;
9073}
9074_ACEOF
9075rm -f conftest.$ac_objext conftest$ac_exeext
9076if { (ac_try="$ac_link"
9077case "(($ac_try" in
9078 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9079 *) ac_try_echo=$ac_try;;
9080esac
9081eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9082 (eval "$ac_link") 2>conftest.er1
9083 ac_status=$?
9084 grep -v '^ *+' conftest.er1 >conftest.err
9085 rm -f conftest.er1
9086 cat conftest.err >&5
9087 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9088 (exit $ac_status); } && {
9089 test -z "$ac_c_werror_flag" ||
9090 test ! -s conftest.err
9091 } && test -s conftest$ac_exeext &&
9092 $as_test_x conftest$ac_exeext; then
9093 ac_cv_func_clock_gettime=yes
9094else
9095 echo "$as_me: failed program was:" >&5
9096sed 's/^/| /' conftest.$ac_ext >&5
9097
9098 ac_cv_func_clock_gettime=no
9099fi
9100
9101rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9102 conftest$ac_exeext conftest.$ac_ext
9103fi
9104{ echo "$as_me:$LINENO: result: $ac_cv_func_clock_gettime" >&5
9105echo "${ECHO_T}$ac_cv_func_clock_gettime" >&6; }
9106if test $ac_cv_func_clock_gettime = yes; then
9107 :
9108else
9109
9110 if test $(uname) = Linux; then
9111 { echo "$as_me:$LINENO: checking for clock_gettime syscall" >&5
9112echo $ECHO_N "checking for clock_gettime syscall... $ECHO_C" >&6; }
9113 cat >conftest.$ac_ext <<_ACEOF
9114/* confdefs.h. */
9115_ACEOF
9116cat confdefs.h >>conftest.$ac_ext
9117cat >>conftest.$ac_ext <<_ACEOF
9118/* end confdefs.h. */
9119#include <syscall.h>
9120 #include <time.h>
9121int
9122main ()
9123{
9124struct timespec ts; int status = syscall (SYS_clock_gettime, CLOCK_REALTIME, &ts)
9125 ;
9126 return 0;
9127}
9128_ACEOF
9129rm -f conftest.$ac_objext conftest$ac_exeext
9130if { (ac_try="$ac_link"
9131case "(($ac_try" in
9132 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9133 *) ac_try_echo=$ac_try;;
9134esac
9135eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9136 (eval "$ac_link") 2>conftest.er1
9137 ac_status=$?
9138 grep -v '^ *+' conftest.er1 >conftest.err
9139 rm -f conftest.er1
9140 cat conftest.err >&5
9141 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9142 (exit $ac_status); } && {
9143 test -z "$ac_c_werror_flag" ||
9144 test ! -s conftest.err
9145 } && test -s conftest$ac_exeext &&
9146 $as_test_x conftest$ac_exeext; then
9147 ac_have_clock_syscall=1
9148
9149cat >>confdefs.h <<\_ACEOF
9150#define HAVE_CLOCK_SYSCALL 1
9151_ACEOF
9152
9153 { echo "$as_me:$LINENO: result: yes" >&5
9154echo "${ECHO_T}yes" >&6; }
9155else
9156 echo "$as_me: failed program was:" >&5
9157sed 's/^/| /' conftest.$ac_ext >&5
9158
9159 { echo "$as_me:$LINENO: result: no" >&5
9160echo "${ECHO_T}no" >&6; }
9161fi
9162
9163rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9164 conftest$ac_exeext conftest.$ac_ext
9165 fi
9166 if test -z "$LIBEV_M4_AVOID_LIBRT" && test -z "$ac_have_clock_syscall"; then
9167
9168{ echo "$as_me:$LINENO: checking for clock_gettime in -lrt" >&5
9169echo $ECHO_N "checking for clock_gettime in -lrt... $ECHO_C" >&6; }
9170if test "${ac_cv_lib_rt_clock_gettime+set}" = set; then
9171 echo $ECHO_N "(cached) $ECHO_C" >&6
9172else
9173 ac_check_lib_save_LIBS=$LIBS
9174LIBS="-lrt $LIBS"
9175cat >conftest.$ac_ext <<_ACEOF
9176/* confdefs.h. */
9177_ACEOF
9178cat confdefs.h >>conftest.$ac_ext
9179cat >>conftest.$ac_ext <<_ACEOF
9180/* end confdefs.h. */
9181
9182/* Override any GCC internal prototype to avoid an error.
9183 Use char because int might match the return type of a GCC
9184 builtin and then its argument prototype would still apply. */
9185#ifdef __cplusplus
9186extern "C"
9187#endif
9188char clock_gettime ();
9189int
9190main ()
9191{
9192return clock_gettime ();
9193 ;
9194 return 0;
9195}
9196_ACEOF
9197rm -f conftest.$ac_objext conftest$ac_exeext
9198if { (ac_try="$ac_link"
9199case "(($ac_try" in
9200 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9201 *) ac_try_echo=$ac_try;;
9202esac
9203eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9204 (eval "$ac_link") 2>conftest.er1
9205 ac_status=$?
9206 grep -v '^ *+' conftest.er1 >conftest.err
9207 rm -f conftest.er1
9208 cat conftest.err >&5
9209 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9210 (exit $ac_status); } && {
9211 test -z "$ac_c_werror_flag" ||
9212 test ! -s conftest.err
9213 } && test -s conftest$ac_exeext &&
9214 $as_test_x conftest$ac_exeext; then
9215 ac_cv_lib_rt_clock_gettime=yes
9216else
9217 echo "$as_me: failed program was:" >&5
9218sed 's/^/| /' conftest.$ac_ext >&5
9219
9220 ac_cv_lib_rt_clock_gettime=no
9221fi
9222
9223rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9224 conftest$ac_exeext conftest.$ac_ext
9225LIBS=$ac_check_lib_save_LIBS
9226fi
9227{ echo "$as_me:$LINENO: result: $ac_cv_lib_rt_clock_gettime" >&5
9228echo "${ECHO_T}$ac_cv_lib_rt_clock_gettime" >&6; }
9229if test $ac_cv_lib_rt_clock_gettime = yes; then
9230 cat >>confdefs.h <<_ACEOF
9231#define HAVE_LIBRT 1
9232_ACEOF
9233
9234 LIBS="-lrt $LIBS"
9235
9236fi
9237
9238 unset ac_cv_func_clock_gettime
9239
9240for ac_func in clock_gettime
9241do
9242as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
9243{ echo "$as_me:$LINENO: checking for $ac_func" >&5
9244echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
9245if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
9246 echo $ECHO_N "(cached) $ECHO_C" >&6
9247else
9248 cat >conftest.$ac_ext <<_ACEOF
9249/* confdefs.h. */
9250_ACEOF
9251cat confdefs.h >>conftest.$ac_ext
9252cat >>conftest.$ac_ext <<_ACEOF
9253/* end confdefs.h. */
9254/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
9255 For example, HP-UX 11i <limits.h> declares gettimeofday. */
9256#define $ac_func innocuous_$ac_func
9257
9258/* System header to define __stub macros and hopefully few prototypes,
9259 which can conflict with char $ac_func (); below.
9260 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
9261 <limits.h> exists even on freestanding compilers. */
9262
9263#ifdef __STDC__
9264# include <limits.h>
9265#else
9266# include <assert.h>
9267#endif
9268
9269#undef $ac_func
9270
9271/* Override any GCC internal prototype to avoid an error.
9272 Use char because int might match the return type of a GCC
9273 builtin and then its argument prototype would still apply. */
9274#ifdef __cplusplus
9275extern "C"
9276#endif
9277char $ac_func ();
9278/* The GNU C library defines this for functions which it implements
9279 to always fail with ENOSYS. Some functions are actually named
9280 something starting with __ and the normal name is an alias. */
9281#if defined __stub_$ac_func || defined __stub___$ac_func
9282choke me
9283#endif
9284
9285int
9286main ()
9287{
9288return $ac_func ();
9289 ;
9290 return 0;
9291}
9292_ACEOF
9293rm -f conftest.$ac_objext conftest$ac_exeext
9294if { (ac_try="$ac_link"
9295case "(($ac_try" in
9296 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9297 *) ac_try_echo=$ac_try;;
9298esac
9299eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9300 (eval "$ac_link") 2>conftest.er1
9301 ac_status=$?
9302 grep -v '^ *+' conftest.er1 >conftest.err
9303 rm -f conftest.er1
9304 cat conftest.err >&5
9305 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9306 (exit $ac_status); } && {
9307 test -z "$ac_c_werror_flag" ||
9308 test ! -s conftest.err
9309 } && test -s conftest$ac_exeext &&
9310 $as_test_x conftest$ac_exeext; then
9311 eval "$as_ac_var=yes"
9312else
9313 echo "$as_me: failed program was:" >&5
9314sed 's/^/| /' conftest.$ac_ext >&5
9315
9316 eval "$as_ac_var=no"
9317fi
9318
9319rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9320 conftest$ac_exeext conftest.$ac_ext
9321fi
9322ac_res=`eval echo '${'$as_ac_var'}'`
9323 { echo "$as_me:$LINENO: result: $ac_res" >&5
9324echo "${ECHO_T}$ac_res" >&6; }
9325if test `eval echo '${'$as_ac_var'}'` = yes; then
9326 cat >>confdefs.h <<_ACEOF
9327#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
9328_ACEOF
9329
9330fi
9331done
9332
9333 fi
9334
9335fi
9336
9337
9338{ echo "$as_me:$LINENO: checking for nanosleep" >&5
9339echo $ECHO_N "checking for nanosleep... $ECHO_C" >&6; }
9340if test "${ac_cv_func_nanosleep+set}" = set; then
9341 echo $ECHO_N "(cached) $ECHO_C" >&6
9342else
9343 cat >conftest.$ac_ext <<_ACEOF
9344/* confdefs.h. */
9345_ACEOF
9346cat confdefs.h >>conftest.$ac_ext
9347cat >>conftest.$ac_ext <<_ACEOF
9348/* end confdefs.h. */
9349/* Define nanosleep to an innocuous variant, in case <limits.h> declares nanosleep.
9350 For example, HP-UX 11i <limits.h> declares gettimeofday. */
9351#define nanosleep innocuous_nanosleep
9352
9353/* System header to define __stub macros and hopefully few prototypes,
9354 which can conflict with char nanosleep (); below.
9355 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
9356 <limits.h> exists even on freestanding compilers. */
9357
9358#ifdef __STDC__
9359# include <limits.h>
9360#else
9361# include <assert.h>
9362#endif
9363
9364#undef nanosleep
9365
9366/* Override any GCC internal prototype to avoid an error.
9367 Use char because int might match the return type of a GCC
9368 builtin and then its argument prototype would still apply. */
9369#ifdef __cplusplus
9370extern "C"
9371#endif
9372char nanosleep ();
9373/* The GNU C library defines this for functions which it implements
9374 to always fail with ENOSYS. Some functions are actually named
9375 something starting with __ and the normal name is an alias. */
9376#if defined __stub_nanosleep || defined __stub___nanosleep
9377choke me
9378#endif
9379
9380int
9381main ()
9382{
9383return nanosleep ();
9384 ;
9385 return 0;
9386}
9387_ACEOF
9388rm -f conftest.$ac_objext conftest$ac_exeext
9389if { (ac_try="$ac_link"
9390case "(($ac_try" in
9391 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9392 *) ac_try_echo=$ac_try;;
9393esac
9394eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9395 (eval "$ac_link") 2>conftest.er1
9396 ac_status=$?
9397 grep -v '^ *+' conftest.er1 >conftest.err
9398 rm -f conftest.er1
9399 cat conftest.err >&5
9400 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9401 (exit $ac_status); } && {
9402 test -z "$ac_c_werror_flag" ||
9403 test ! -s conftest.err
9404 } && test -s conftest$ac_exeext &&
9405 $as_test_x conftest$ac_exeext; then
9406 ac_cv_func_nanosleep=yes
9407else
9408 echo "$as_me: failed program was:" >&5
9409sed 's/^/| /' conftest.$ac_ext >&5
9410
9411 ac_cv_func_nanosleep=no
9412fi
9413
9414rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9415 conftest$ac_exeext conftest.$ac_ext
9416fi
9417{ echo "$as_me:$LINENO: result: $ac_cv_func_nanosleep" >&5
9418echo "${ECHO_T}$ac_cv_func_nanosleep" >&6; }
9419if test $ac_cv_func_nanosleep = yes; then
9420 :
9421else
9422
9423 if test -z "$LIBEV_M4_AVOID_LIBRT"; then
9424
9425{ echo "$as_me:$LINENO: checking for nanosleep in -lrt" >&5
9426echo $ECHO_N "checking for nanosleep in -lrt... $ECHO_C" >&6; }
9427if test "${ac_cv_lib_rt_nanosleep+set}" = set; then
9428 echo $ECHO_N "(cached) $ECHO_C" >&6
9429else
9430 ac_check_lib_save_LIBS=$LIBS
9431LIBS="-lrt $LIBS"
9432cat >conftest.$ac_ext <<_ACEOF
9433/* confdefs.h. */
9434_ACEOF
9435cat confdefs.h >>conftest.$ac_ext
9436cat >>conftest.$ac_ext <<_ACEOF
9437/* end confdefs.h. */
9438
9439/* Override any GCC internal prototype to avoid an error.
9440 Use char because int might match the return type of a GCC
9441 builtin and then its argument prototype would still apply. */
9442#ifdef __cplusplus
9443extern "C"
9444#endif
9445char nanosleep ();
9446int
9447main ()
9448{
9449return nanosleep ();
9450 ;
9451 return 0;
9452}
9453_ACEOF
9454rm -f conftest.$ac_objext conftest$ac_exeext
9455if { (ac_try="$ac_link"
9456case "(($ac_try" in
9457 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9458 *) ac_try_echo=$ac_try;;
9459esac
9460eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9461 (eval "$ac_link") 2>conftest.er1
9462 ac_status=$?
9463 grep -v '^ *+' conftest.er1 >conftest.err
9464 rm -f conftest.er1
9465 cat conftest.err >&5
9466 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9467 (exit $ac_status); } && {
9468 test -z "$ac_c_werror_flag" ||
9469 test ! -s conftest.err
9470 } && test -s conftest$ac_exeext &&
9471 $as_test_x conftest$ac_exeext; then
9472 ac_cv_lib_rt_nanosleep=yes
9473else
9474 echo "$as_me: failed program was:" >&5
9475sed 's/^/| /' conftest.$ac_ext >&5
9476
9477 ac_cv_lib_rt_nanosleep=no
9478fi
9479
9480rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9481 conftest$ac_exeext conftest.$ac_ext
9482LIBS=$ac_check_lib_save_LIBS
9483fi
9484{ echo "$as_me:$LINENO: result: $ac_cv_lib_rt_nanosleep" >&5
9485echo "${ECHO_T}$ac_cv_lib_rt_nanosleep" >&6; }
9486if test $ac_cv_lib_rt_nanosleep = yes; then
9487 cat >>confdefs.h <<_ACEOF
9488#define HAVE_LIBRT 1
9489_ACEOF
9490
9491 LIBS="-lrt $LIBS"
9492
9493fi
9494
9495 unset ac_cv_func_nanosleep
9496
9497for ac_func in nanosleep
9498do
9499as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
9500{ echo "$as_me:$LINENO: checking for $ac_func" >&5
9501echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6; }
9502if { as_var=$as_ac_var; eval "test \"\${$as_var+set}\" = set"; }; then
9503 echo $ECHO_N "(cached) $ECHO_C" >&6
9504else
9505 cat >conftest.$ac_ext <<_ACEOF
9506/* confdefs.h. */
9507_ACEOF
9508cat confdefs.h >>conftest.$ac_ext
9509cat >>conftest.$ac_ext <<_ACEOF
9510/* end confdefs.h. */
9511/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
9512 For example, HP-UX 11i <limits.h> declares gettimeofday. */
9513#define $ac_func innocuous_$ac_func
9514
9515/* System header to define __stub macros and hopefully few prototypes,
9516 which can conflict with char $ac_func (); below.
9517 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
9518 <limits.h> exists even on freestanding compilers. */
9519
9520#ifdef __STDC__
9521# include <limits.h>
9522#else
9523# include <assert.h>
9524#endif
9525
9526#undef $ac_func
9527
9528/* Override any GCC internal prototype to avoid an error.
9529 Use char because int might match the return type of a GCC
9530 builtin and then its argument prototype would still apply. */
9531#ifdef __cplusplus
9532extern "C"
9533#endif
9534char $ac_func ();
9535/* The GNU C library defines this for functions which it implements
9536 to always fail with ENOSYS. Some functions are actually named
9537 something starting with __ and the normal name is an alias. */
9538#if defined __stub_$ac_func || defined __stub___$ac_func
9539choke me
9540#endif
9541
9542int
9543main ()
9544{
9545return $ac_func ();
9546 ;
9547 return 0;
9548}
9549_ACEOF
9550rm -f conftest.$ac_objext conftest$ac_exeext
9551if { (ac_try="$ac_link"
9552case "(($ac_try" in
9553 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9554 *) ac_try_echo=$ac_try;;
9555esac
9556eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9557 (eval "$ac_link") 2>conftest.er1
9558 ac_status=$?
9559 grep -v '^ *+' conftest.er1 >conftest.err
9560 rm -f conftest.er1
9561 cat conftest.err >&5
9562 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9563 (exit $ac_status); } && {
9564 test -z "$ac_c_werror_flag" ||
9565 test ! -s conftest.err
9566 } && test -s conftest$ac_exeext &&
9567 $as_test_x conftest$ac_exeext; then
9568 eval "$as_ac_var=yes"
9569else
9570 echo "$as_me: failed program was:" >&5
9571sed 's/^/| /' conftest.$ac_ext >&5
9572
9573 eval "$as_ac_var=no"
9574fi
9575
9576rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9577 conftest$ac_exeext conftest.$ac_ext
9578fi
9579ac_res=`eval echo '${'$as_ac_var'}'`
9580 { echo "$as_me:$LINENO: result: $ac_res" >&5
9581echo "${ECHO_T}$ac_res" >&6; }
9582if test `eval echo '${'$as_ac_var'}'` = yes; then
9583 cat >>confdefs.h <<_ACEOF
9584#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
9585_ACEOF
9586
9587fi
9588done
9589
9590 fi
9591
9592fi
9593
9594
9595
9596{ echo "$as_me:$LINENO: checking for ceil in -lm" >&5
9597echo $ECHO_N "checking for ceil in -lm... $ECHO_C" >&6; }
9598if test "${ac_cv_lib_m_ceil+set}" = set; then
9599 echo $ECHO_N "(cached) $ECHO_C" >&6
9600else
9601 ac_check_lib_save_LIBS=$LIBS
9602LIBS="-lm $LIBS"
9603cat >conftest.$ac_ext <<_ACEOF
9604/* confdefs.h. */
9605_ACEOF
9606cat confdefs.h >>conftest.$ac_ext
9607cat >>conftest.$ac_ext <<_ACEOF
9608/* end confdefs.h. */
9609
9610/* Override any GCC internal prototype to avoid an error.
9611 Use char because int might match the return type of a GCC
9612 builtin and then its argument prototype would still apply. */
9613#ifdef __cplusplus
9614extern "C"
9615#endif
9616char ceil ();
9617int
9618main ()
9619{
9620return ceil ();
9621 ;
9622 return 0;
9623}
9624_ACEOF
9625rm -f conftest.$ac_objext conftest$ac_exeext
9626if { (ac_try="$ac_link"
9627case "(($ac_try" in
9628 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
9629 *) ac_try_echo=$ac_try;;
9630esac
9631eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
9632 (eval "$ac_link") 2>conftest.er1
9633 ac_status=$?
9634 grep -v '^ *+' conftest.er1 >conftest.err
9635 rm -f conftest.er1
9636 cat conftest.err >&5
9637 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9638 (exit $ac_status); } && {
9639 test -z "$ac_c_werror_flag" ||
9640 test ! -s conftest.err
9641 } && test -s conftest$ac_exeext &&
9642 $as_test_x conftest$ac_exeext; then
9643 ac_cv_lib_m_ceil=yes
9644else
9645 echo "$as_me: failed program was:" >&5
9646sed 's/^/| /' conftest.$ac_ext >&5
9647
9648 ac_cv_lib_m_ceil=no
9649fi
9650
9651rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
9652 conftest$ac_exeext conftest.$ac_ext
9653LIBS=$ac_check_lib_save_LIBS
9654fi
9655{ echo "$as_me:$LINENO: result: $ac_cv_lib_m_ceil" >&5
9656echo "${ECHO_T}$ac_cv_lib_m_ceil" >&6; }
9657if test $ac_cv_lib_m_ceil = yes; then
9658 cat >>confdefs.h <<_ACEOF
9659#define HAVE_LIBM 1
9660_ACEOF
9661
9662 LIBS="-lm $LIBS"
9663
9664fi
9665
9666
9667
9668
9551 9669
9552 9670
9553ac_ext=cpp 9671ac_ext=cpp
9554ac_cpp='$CXXCPP $CPPFLAGS' 9672ac_cpp='$CXXCPP $CPPFLAGS'
9555ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 9673ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
10273 10391
10274fi 10392fi
10275 10393
10276 10394
10277 10395
10278# Check whether --enable-rohc was given.
10279if test "${enable_rohc+set}" = set; then
10280 enableval=$enable_rohc;
10281 echo
10282 echo "**********************************************************************"
10283 echo "**********************************************************************"
10284 echo "**** --enable-rohc is highly experimental, do not use ****************"
10285 echo "**********************************************************************"
10286 echo "**********************************************************************"
10287 echo
10288 rohc=true
10289
10290cat >>confdefs.h <<_ACEOF
10291#define ENABLE_ROHC 1
10292_ACEOF
10293
10294
10295
10296fi
10297
10298 10396
10299 10397
10300 10398
10301if test x$rohc = xtrue; then 10399if test x$rohc = xtrue; then
10302 ROHC_TRUE= 10400 ROHC_TRUE=
10306 ROHC_FALSE= 10404 ROHC_FALSE=
10307fi 10405fi
10308 10406
10309 10407
10310 10408
10409ICMP=1
10311# Check whether --enable-icmp was given. 10410# Check whether --enable-icmp was given.
10312if test "${enable_icmp+set}" = set; then 10411if test "${enable_icmp+set}" = set; then
10313 enableval=$enable_icmp; 10412 enableval=$enable_icmp; if test "x$enableval" = xno; then
10413 ICMP=0
10414 fi
10415
10416fi
10417
10418if test "x$ICMP" = x1; then
10419
10314cat >>confdefs.h <<_ACEOF 10420cat >>confdefs.h <<_ACEOF
10315#define ENABLE_ICMP 1 10421#define ENABLE_ICMP 1
10316_ACEOF 10422_ACEOF
10317 10423
10318
10319fi 10424fi
10320 10425
10321 10426TCP=1
10322# Check whether --enable-tcp was given. 10427# Check whether --enable-tcp was given.
10323if test "${enable_tcp+set}" = set; then 10428if test "${enable_tcp+set}" = set; then
10324 enableval=$enable_tcp; 10429 enableval=$enable_tcp; if test "x$enableval" = xno; then
10430 TCP=0
10431 fi
10432
10433fi
10434
10435if test "x$TCP" = x1; then
10436
10325cat >>confdefs.h <<_ACEOF 10437cat >>confdefs.h <<_ACEOF
10326#define ENABLE_TCP 1 10438#define ENABLE_TCP 1
10327_ACEOF 10439_ACEOF
10328 10440
10329
10330fi 10441fi
10331 10442
10443HTTP=1
10444# Check whether --enable-http-proxy was given.
10445if test "${enable_http_proxy+set}" = set; then
10446 enableval=$enable_http_proxy; if test "x$enableval" = xno; then
10447 HTTP=0
10448 fi
10449
10450fi
10451
10452if test "x$HTTP" = x1; then
10453
10454cat >>confdefs.h <<_ACEOF
10455#define ENABLE_HTTP_PROXY 1
10456_ACEOF
10457
10458fi
10332 10459
10333# Check whether --enable-dns was given. 10460# Check whether --enable-dns was given.
10334if test "${enable_dns+set}" = set; then 10461if test "${enable_dns+set}" = set; then
10335 enableval=$enable_dns; 10462 enableval=$enable_dns;
10336 if test "${ac_cv_header_gmp_h+set}" = set; then 10463 if test "${ac_cv_header_gmp_h+set}" = set; then
10545 10672
10546 10673
10547fi 10674fi
10548 10675
10549 10676
10550# Check whether --enable-http-proxy was given.
10551if test "${enable_http_proxy+set}" = set; then
10552 enableval=$enable_http_proxy;
10553cat >>confdefs.h <<_ACEOF
10554#define ENABLE_HTTP_PROXY 1
10555_ACEOF
10556
10557
10558fi
10559
10560
10561HMAC=12 10677HMAC=12
10562# Check whether --enable-hmac-length was given. 10678# Check whether --enable-hmac-length was given.
10563if test "${enable_hmac_length+set}" = set; then 10679if test "${enable_hmac_length+set}" = set; then
10564 enableval=$enable_hmac_length; HMAC=$enableval 10680 enableval=$enable_hmac_length; HMAC=$enableval
10565 10681
10648 10764
10649if $CXX -v --help 2>&1 | grep -q fno-rtti; then 10765if $CXX -v --help 2>&1 | grep -q fno-rtti; then
10650 CXXFLAGS="$CXXFLAGS -fno-rtti" 10766 CXXFLAGS="$CXXFLAGS -fno-rtti"
10651fi 10767fi
10652 10768
10653if $CXX -v --help 2>&1 | grep -q fexceptions; then 10769#if $CXX -v --help 2>&1 | grep -q fexceptions; then
10654 CXXFLAGS="$CXXFLAGS -fno-exceptions" 10770# CXXFLAGS="$CXXFLAGS -fno-exceptions"
10655fi 10771#fi
10772
10773LIBS="$EXTRA_LIBS $LIBS"
10656 10774
10657 10775
10658 10776
10659 10777
10660ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile" 10778ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile"
10764fi 10882fi
10765if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then 10883if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then
10766 { { echo "$as_me:$LINENO: error: conditional \"AMDEP\" was never defined. 10884 { { echo "$as_me:$LINENO: error: conditional \"AMDEP\" was never defined.
10767Usually this means the macro was only invoked conditionally." >&5 10885Usually this means the macro was only invoked conditionally." >&5
10768echo "$as_me: error: conditional \"AMDEP\" was never defined. 10886echo "$as_me: error: conditional \"AMDEP\" was never defined.
10769Usually this means the macro was only invoked conditionally." >&2;}
10770 { (exit 1); exit 1; }; }
10771fi
10772if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then
10773 { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined.
10774Usually this means the macro was only invoked conditionally." >&5
10775echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
10776Usually this means the macro was only invoked conditionally." >&2;} 10887Usually this means the macro was only invoked conditionally." >&2;}
10777 { (exit 1); exit 1; }; } 10888 { (exit 1); exit 1; }; }
10778fi 10889fi
10779if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then 10890if test -z "${am__fastdepCC_TRUE}" && test -z "${am__fastdepCC_FALSE}"; then
10780 { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined. 10891 { { echo "$as_me:$LINENO: error: conditional \"am__fastdepCC\" was never defined.

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines